pcl::PointDEM Struct Reference
Module common

A point structure representing Digital Elevation Map. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointDEM:

## Public Member Functions

| PointDEM (const _PointDEM &p)
| PointDEM ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointDEM &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointDEM
| PCL_ADD_POINT4D
float | intensity
float | intensity_variance
float | height_variance

## Detailed Description

A point structure representing Digital Elevation Map.

Definition at line 1614 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointDEM() [1/2]

pcl::PointDEM::PointDEM | ( | const _PointDEM & | p | ) |

inline

Definition at line 1616 of file point_types.hpp.

References pcl::_PointDEM::height_variance, pcl::_PointDEM::intensity, and pcl::_PointDEM::intensity_variance.

## PointDEM() [2/2]

pcl::PointDEM::PointDEM | ( |  | ) |

inline

Definition at line 1624 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointDEM & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp